<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui">

<h:head>
	<title>Novo Usuário</title>
</h:head>

<h:body>
	<h:form>
		<h2>Novo Usuário</h2>

		<p:panel>
			<p:growl id="growl" life="2000" />

			<h:panelGrid columns="2">

				<p:outputLabel for="nome" value="Nome:" />
				<p:inputText id="nome" value="#{usuarioController.nome}" />

				<p:outputLabel for="descricao" value="Sobrenome:" />
				<p:inputText id="descricao" value="#{usuarioController.sobrenome}" />

				<p:outputLabel for="dataNascimento" value="Data de Nascimento:" />
				<p:datePicker id="dataNascimento" value="#{usuarioController.dataNascimento}" pattern="dd/MM/yyyy" mask="99/99/9999"/>

				<f:facet name="footer">
					<p:commandButton value="Salvar" update="growl" action="#{usuarioController.criarUsuario}" />
					<h:button value="Listar" outcome="listar" />
				</f:facet>
			</h:panelGrid>
		</p:panel>
	</h:form>
</h:body>
</html>